Jump to content











Photo
- - - - -

Comman API Arch command


  • Please log in to reply
6 replies to this topic

#1 paraglider

paraglider

    Gold Member

  • .script developer
  • 1729 posts
  • Location:NC,USA
  •  
    United States

Posted 17 February 2010 - 12:50 AM

I have been trying to update my chm file to describe the Arch command. However support in the common api for Arch seems to be inconsistent:

1) LiveXP uses common api script version 15. This seems to support variations:

Arch,x86|x64 - to indicate that a script supports both architectures.
Arch,x86 - x86 only
Arch,x64 - x64 only

2) Version 22 of the common api script appears to be the latest version of the common api. This only supports:

Arch,x86
Arch,x64


The common api appears to be anything but common.

The messages in both versions of the scripts reference ia64 in the warning message. But I would assume that %SourceArch% for an IA64 OS would be ia64 not x64. This does not appear to be supported by either verison of the common api.

#2 Lancelot

Lancelot

    Frequent Member

  • .script developer
  • 5013 posts
  • Location:Turkiye/Izmir
  • Interests:*Mechanical stuff and Physics,
    *LiveXP, BartPE, SherpyaXPE,
    *Basketball and Looong Walking,
    *Buying outwear for my girlf (Reason: Girls are stupid about buying bad stuff to make themselves uglier :))
    *Girls (Lyric: Girl,...., You will be a womann, Soon)
    *Answering questions for "Meaning of life",
    *Helping people,

    Kung with LiveXP, Fu with Peter :)
  •  
    Turkey

Posted 17 February 2010 - 01:00 AM

Hi paraglider,

what ever you see for arch with capi 15rev7 will be available in future capi. As a result after a short while (after next wb release), common api will be common again.

we can change message from
"%ProgramTitle% requires WOW64 for PE x64/IA64"
to
"%ProgramTitle% requires WOW64 for PE x64 or IA64"

or what you suggest ?

#3 paraglider

paraglider

    Gold Member

  • .script developer
  • 1729 posts
  • Location:NC,USA
  •  
    United States

Posted 17 February 2010 - 04:20 AM

I was actually questioning if ia64 was supported by Arch command in any version of the api.

Instead of:

If,%arch%,Equal,x86,If,Not,%TargetWOW64%,Equal,x86,Exit,"%ProgramTitle% requires WOW64 for PE x64/IA64"
If,%arch%,Equal,x64,If,%SourceArch%,Equal,x86,Exit,"%ProgramTitle% can only run on PE x64/IA64"


would need to have something like:

If,%arch%,Equal,x86,If,Not,%TargetWOW64%,Equal,x86,Exit,"%ProgramTitle% requires WOW64 for PE x64/IA64"
If,%arch%,Equal,x64,If,Not,%SourceArch%,Equal,x64,Exit,"%ProgramTitle% can only run on PE x64"
If,%arch%,Equal,ia64,If,Not,%SourceArch%,Equal,ia64,Exit,"%ProgramTitle% can only run on PE IA64"

#4 Galapo

Galapo

    Platinum Member

  • .script developer
  • 3841 posts
  •  
    Australia

Posted 17 February 2010 - 04:32 AM

x64 is taken to represent AMD64 and IA64. Is the differentiation needed?

Thanks,
Galapo.

#5 Lancelot

Lancelot

    Frequent Member

  • .script developer
  • 5013 posts
  • Location:Turkiye/Izmir
  • Interests:*Mechanical stuff and Physics,
    *LiveXP, BartPE, SherpyaXPE,
    *Basketball and Looong Walking,
    *Buying outwear for my girlf (Reason: Girls are stupid about buying bad stuff to make themselves uglier :))
    *Girls (Lyric: Girl,...., You will be a womann, Soon)
    *Answering questions for "Meaning of life",
    *Helping people,

    Kung with LiveXP, Fu with Peter :)
  •  
    Turkey

Posted 17 February 2010 - 10:27 AM

x64 is taken to represent AMD64 and IA64. Is the differentiation needed?

yes boss, differentiation needed. It is my fault not checking deeply since no ia64 support presents.

Theorically giving example
http://dependencywalker.com/
a script for only dep. walker ia64 should have Arch,IA64 since it will not work with x64 (AMD64)

with using paragliders codes, what you think for following ?

[Arch_check]

Set,%arch%,#1

If,#1,Equal,off,Set,%arch%,%SourceArch%

StrFormat,POS,%arch%,|,%multiarch%

If,%multiarch%,Equal,0,Begin

If,%arch%,Equal,x86,If,Not,%TargetWOW64%,Equal,x86,Exit,"%ProgramTitle% requires WOW64 for PE %SourceArch%"

If,%arch%,Equal,x64,If,Not,%SourceArch%,Equal,x64,Exit,"%ProgramTitle% can only run on PE x64"

If,%arch%,Equal,IA64,If,Not,%SourceArch%,Equal,IA64,Exit,"%ProgramTitle% can only run on PE IA64"

End

Else,Begin

StrFormat,POS,%arch%,%SourceArch%,%multiarch_test%

If,%multiarch_test%,Equal,0,Exit,"%ProgramTitle% requires different source architecture than current %SourceArch%"

End


#6 Galapo

Galapo

    Platinum Member

  • .script developer
  • 3841 posts
  •  
    Australia

Posted 17 February 2010 - 10:58 AM

I think it's good. This then would be possible in a script

Arch,x86|x64|IA64

Regards,
Galapo.

#7 paraglider

paraglider

    Gold Member

  • .script developer
  • 1729 posts
  • Location:NC,USA
  •  
    United States

Posted 17 February 2010 - 01:18 PM

If you want to learn about Itanium ( IA64 ) read http://en.wikipedia.org/wiki/Itanium. Its a totally different version of the OS.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users